Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.docking.event
Class DockingEventHandler

    java.lang.Object
      org.flexdock.event.EventHandler
          org.flexdock.docking.event.DockingEventHandler

    public class DockingEventHandler

extends EventHandler

Author:
  Christopher Butler

Field Summary

Fields inherited from class org.flexdock.event.EventHandler
`globalListeners`

Constructor Summary
`DockingEventHandler()`

Method Summary
`boolean` | `acceptsEvent(Event evt)` Tests a given event to determine if this handler can handle that event.
`boolean` | `acceptsListener(EventListener listener)`
`static void` | `addDockingListener(Dockable dockable, DockingListener listener)`
`static DockingListener[]` | `getDockingListeners(Dockable dockable)`
`EventListener[]` | `getListeners(Object eventTarget)`
`void` | `handleEvent(Event evt, EventListener listener, int eventType)`
`static void` | `removeDockingListener(Dockable dockable, DockingListener listener)`

Methods inherited from class org.flexdock.event.EventHandler
`addListener, handleEvent, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DockingEventHandler

    public DockingEventHandler()

Method Detail

### getDockingListeners

    public static DockingListener[] getDockingListeners(Dockable dockable)

### addDockingListener

    public static void addDockingListener(Dockable dockable,
                                          DockingListener listener)

### removeDockingListener

    public static void removeDockingListener(Dockable dockable,
                                             DockingListener listener)

### acceptsEvent

    public boolean acceptsEvent(Event evt)

  Description copied from class: `EventHandler`
  Tests a given event to determine if this handler can handle that event.

  Specified by:
    `acceptsEvent` in class `EventHandler`
  Parameters:
    `evt` - the event to test.
  Returns:
    `true` if this handler handles the event, `false` otherwise.

### acceptsListener

    public boolean acceptsListener(EventListener listener)

  Specified by:
    `acceptsListener` in class `EventHandler`

### handleEvent

    public void handleEvent(Event evt,
                            EventListener listener,
                            int eventType)

  Specified by:
    `handleEvent` in class `EventHandler`

### getListeners

    public EventListener[] getListeners(Object eventTarget)

  Overrides:
    `getListeners` in class `EventHandler`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD